Create or update seller payout config
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller_id": "<string>",
"commission_fixed_amount": 123,
"commission_percent": 123,
"hold_period_days": 123,
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"minimum_payout_amount": 123,
"tds_percent": 123,
"tcs_percent": 123
}
'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config"
payload = {
"seller_id": "<string>",
"commission_fixed_amount": 123,
"commission_percent": 123,
"hold_period_days": 123,
"include_shipping_in_payout": True,
"include_tax_in_payout": True,
"minimum_payout_amount": 123,
"tds_percent": 123,
"tcs_percent": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seller_id: '<string>',
commission_fixed_amount: 123,
commission_percent: 123,
hold_period_days: 123,
include_shipping_in_payout: true,
include_tax_in_payout: true,
minimum_payout_amount: 123,
tds_percent: 123,
tcs_percent: 123
})
};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payouts/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payout_config": {
"seller_id": "<string>",
"seller_details": {
"id": "<string>",
"trade_name": "<string>",
"legal_name": "<string>",
"business_type": "sole_proprietorship",
"tax_identification_number": "<string>",
"status": "pending_approval",
"kyc_status": "document_pending",
"visibility": "public",
"logo": "<string>"
},
"commission_fixed_amount": 123,
"commission_percent": 50,
"commission_type": "percent",
"created_at": "2023-11-07T05:31:56Z",
"hold_period_days": 123,
"include_shipping_in_payout": true,
"include_tax_in_payout": true,
"tcs_percent": 123,
"tds_percent": 123,
"minimum_payout_amount": 123,
"modified_at": "2023-11-07T05:31:56Z",
"store_id": "<string>",
"ulid": "<string>"
}
}
}{
"message": "<string>",
"success": true,
"code": "<string>",
"error": {
"fieldname": [
"<string>"
]
}
}{
"message": "Not authorized for given operation on the Resource.",
"success": false,
"code": "unauthorized"
}Payouts
Create or update seller payout config
Create the seller payout configuration for the marketplace store, or update the existing configuration.
POST
/
orders
/
payouts
/
config
Create or update seller payout config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Seller ID for which the payout config is being created.
Required to be greater than 0 when commission_type is fixed or percent_plus_fixed.
Required to be greater than 0 when commission_type is percent or percent_plus_fixed.
Available options:
percent, fixed, percent_plus_fixed Was this page helpful?
⌘I